r1547 - / trunk/bootscripts trunk/bootscripts/lfs/init.d trunk/bootscripts/lfs/sysconfig

jim at linuxfromscratch.org jim at linuxfromscratch.org
Tue May 9 23:21:41 PDT 2006


Author: jim
Date: 2006-05-10 00:21:40 -0600 (Wed, 10 May 2006)
New Revision: 1547

Added:
   trunk/bootscripts/lfs/init.d/setlcd
   trunk/bootscripts/lfs/sysconfig/lcd-raq3
Modified:
   /
   trunk/bootscripts/Changelog
   trunk/bootscripts/Makefile
   trunk/bootscripts/lfs/init.d/functions
   trunk/bootscripts/lfs/sysconfig/lcd-raq2
Log:
 r3354 at server (orig r1576):  jim | 2006-05-09 23:20:58 -0700
 LCD Fixes



Property changes on: 
___________________________________________________________________
Name: svk:merge
   - b6734a72-470d-0410-b049-f317dca95413:/:1575
   + b6734a72-470d-0410-b049-f317dca95413:/:1576

Modified: trunk/bootscripts/Changelog
===================================================================
--- trunk/bootscripts/Changelog	2006-05-10 03:28:36 UTC (rev 1546)
+++ trunk/bootscripts/Changelog	2006-05-10 06:21:40 UTC (rev 1547)
@@ -1,5 +1,6 @@
 jim - May 9, 2006
         * Add support for LCD Screens
+	* Added support for RaQ3 LCD and Cobalt Panel Utils
 
 This is a new Changelog. The old one is now renamed to CHANGELOG.old.
 These scripts are based on LFS-Bootscripts 3.2.2

Modified: trunk/bootscripts/Makefile
===================================================================
--- trunk/bootscripts/Makefile	2006-05-10 03:28:36 UTC (rev 1546)
+++ trunk/bootscripts/Makefile	2006-05-10 06:21:40 UTC (rev 1547)
@@ -133,5 +133,16 @@
 	ln -sf ../init.d/paneld      ${EXTDIR}/rc.d/rc6.d/K01paneld
 	if [ ! -f ${EXTDIR}/sysconfig/lcd          ]; then install -m ${CONFMODE} lfs/sysconfig/lcd-raq2          ${EXTDIR}/sysconfig/lcd; fi
 
+install-raq3: 
+	install -m ${MODE} lfs/init.d/setlcd        ${EXTDIR}/rc.d/init.d/
+	ln -sf ../init.d/setlcd      ${EXTDIR}/rc.d/rc0.d/K01setlcd
+	ln -sf ../init.d/setlcd      ${EXTDIR}/rc.d/rc1.d/S99setlcd
+	ln -sf ../init.d/setlcd      ${EXTDIR}/rc.d/rc2.d/S99setlcd
+	ln -sf ../init.d/setlcd      ${EXTDIR}/rc.d/rc3.d/S99setlcd
+	ln -sf ../init.d/setlcd      ${EXTDIR}/rc.d/rc4.d/S99setlcd
+	ln -sf ../init.d/setlcd      ${EXTDIR}/rc.d/rc5.d/S99setlcd
+	ln -sf ../init.d/setlcd      ${EXTDIR}/rc.d/rc6.d/K01setlcd
+	if [ ! -f ${EXTDIR}/sysconfig/lcd          ]; then install -m ${CONFMODE} lfs/sysconfig/lcd-raq3          ${EXTDIR}/sysconfig/lcd; fi
+
 .PHONY: all create-dirs create-service-dir install install-consolelog \
-	install-service-mtu minimal install-raq2
+	install-service-mtu minimal install-raq2 install-raq3

Modified: trunk/bootscripts/lfs/init.d/functions
===================================================================
--- trunk/bootscripts/lfs/init.d/functions	2006-05-10 03:28:36 UTC (rev 1546)
+++ trunk/bootscripts/lfs/init.d/functions	2006-05-10 06:21:40 UTC (rev 1547)
@@ -136,7 +136,7 @@
 	boot_mesg_flush "[  OK  ]"
 	if [ "$LCD_PROG" ]; then
 		LCD_OUT2="[  OK  ]"
-		$LCD_PROG $LCD_OPTIONS "$LCD_OUT1" "$LCD_OUT2"
+		$LCD_PROG "$LCD_OUT1" "$LCD_OUT2"
 	fi
 }
 
@@ -147,7 +147,7 @@
 	boot_mesg_flush "[ FAIL ]"
 	if [ "$LCD_PROG" ]; then
 		LCD_OUT2="[  FAIL  ]"
-		$LCD_PROG $LCD_OPTIONS "$LCD_OUT1" "$LCD_OUT2"
+		$LCD_PROG "$LCD_OUT1" "$LCD_OUT2"
 	fi
 }
 
@@ -157,7 +157,7 @@
 	echo -e "${NORMAL}"
 	if [ "$LCD_PROG" ]; then
 		LCD_OUT2="[  WARN  ]"
-		$LCD_PROG $LCD_OPTIONS "$LCD_OUT1" "$LCD_OUT2"
+		$LCD_PROG "$LCD_OUT1" "$LCD_OUT2"
 	fi
 	boot_mesg_flush "[ WARN ]"
 }

Added: trunk/bootscripts/lfs/init.d/setlcd
===================================================================
--- trunk/bootscripts/lfs/init.d/setlcd	                        (rev 0)
+++ trunk/bootscripts/lfs/init.d/setlcd	2006-05-10 06:21:40 UTC (rev 1547)
@@ -0,0 +1,55 @@
+#!/bin/sh
+########################################################################
+# Begin $rc_base/init.d/setlcd
+#
+# Description : Show IP Addresses on LCD Panel
+#
+# Author      : Jim Gifford - jim at linuxfromscratch.org
+#
+# Version     : 00.00
+#
+# Notes       :
+#
+########################################################################
+
+. /etc/sysconfig/rc
+. $rc_functions
+
+case "$1" in
+	start)
+		ip addr show dev eth0 > /dev/null 2>&1
+		if [ "$?" = "0" ]; then
+			IFACE1_IP="`ip addr show dev eth0 | grep inet | cut -d / -f 1 | cut -d t  -f 2 | cut -d' ' -f 2 `"
+			IFACE1="$IFACE1_IP"
+		fi
+		ip addr show dev eth1 > /dev/null 2>&1
+		if [ "$?" = "0" ]; then
+			IFACE2_IP="`ip addr show dev eth1 | grep inet | cut -d / -f 1 | cut -d t  -f 2 | cut -d' ' -f 2 `"
+			IFACE2="$IFACE2_IP"
+		fi
+		if [ "$IFACE2" = "" ]; then
+			$LCD_PROG "Lan1 $IFACE1"
+		else
+			$LCD_PROG "Lan1 $IFACE1" "Lan2 $IFACE2"
+		fi
+
+	;;
+
+        stop)
+		$LCD_PROG "	" "	"
+                ;;
+
+        restart)
+                ${0} stop
+                sleep 1
+                ${0} start
+                ;;
+
+	*)
+		echo "Usage: {start|stop|restart}"
+		exit 1
+		;;
+esac
+
+# End $rc_base/init.d/setlcd
+

Modified: trunk/bootscripts/lfs/sysconfig/lcd-raq2
===================================================================
--- trunk/bootscripts/lfs/sysconfig/lcd-raq2	2006-05-10 03:28:36 UTC (rev 1546)
+++ trunk/bootscripts/lfs/sysconfig/lcd-raq2	2006-05-10 06:21:40 UTC (rev 1547)
@@ -19,8 +19,4 @@
 #
 LCD_CHAR=16
 
-# What command option emulates echo -n
-#
-LCD_OPTION=" -n "
-
 # End /etc/sysconfig/lcd

Added: trunk/bootscripts/lfs/sysconfig/lcd-raq3
===================================================================
--- trunk/bootscripts/lfs/sysconfig/lcd-raq3	                        (rev 0)
+++ trunk/bootscripts/lfs/sysconfig/lcd-raq3	2006-05-10 06:21:40 UTC (rev 1547)
@@ -0,0 +1,22 @@
+########################################################################
+# Begin /etc/sysconfig/lcd
+#
+# Description : LCD Screen Control
+#
+# Authors     :
+#
+# Version     : 00.00
+#
+# Notes       :
+#
+########################################################################
+
+# The executable that writes to the LCD
+#
+LCD_PROG=/sbin/lcd-write
+
+# Number of characters the screen can handle
+#
+LCD_CHAR=16
+
+# End /etc/sysconfig/lcd




More information about the cross-lfs mailing list